import greenfoot.GreenfootImage;
import java.awt.Color;

public class Base
  extends Entity
{
  private GreenfootImage[] sprite = new GreenfootImage[3];
  private int life = 3;
  public int x;
  public int y;
  
  public Base(Color color, GreenfootImage sprite1, GreenfootImage sprite2, GreenfootImage sprite3)
  {
    super(color);
    this.sprite[0] = Sprite.paint(sprite1, color);
    this.sprite[1] = Sprite.paint(sprite2, color);
    this.sprite[2] = Sprite.paint(sprite3, color);
    setImage(this.sprite[0]);
  }
  
  public void act() {}
  
  public void shooted()
  {
    if (this.life == 3)
    {
      setImage(this.sprite[1]);
      this.life -= 1;
    }
    else if (this.life == 2)
    {
      setImage(this.sprite[2]);
      this.life -= 1;
    }
    else if (this.life == 1)
    {
      ((Game)getWorld()).removeObject(this);
    }
  }
  
  public void setPosition(int x, int y)
  {
    this.x = x;
    this.y = y;
  }
  
  public static final Base TR(Color color)
  {
    return new Base(color, (GreenfootImage)Game.cacheImg.get("base_tr_0"), (GreenfootImage)Game.cacheImg.get("base_tr_1"), (GreenfootImage)Game.cacheImg.get("base_tr_2"));
  }
  
  public static final Base TL(Color color)
  {
    return new Base(color, (GreenfootImage)Game.cacheImg.get("base_tl_0"), (GreenfootImage)Game.cacheImg.get("base_tl_1"), (GreenfootImage)Game.cacheImg.get("base_tl_2"));
  }
  
  public static final Base BR(Color color)
  {
    return new Base(color, (GreenfootImage)Game.cacheImg.get("base_br_0"), (GreenfootImage)Game.cacheImg.get("base_br_1"), (GreenfootImage)Game.cacheImg.get("base_br_2"));
  }
  
  public static final Base BL(Color color)
  {
    return new Base(color, (GreenfootImage)Game.cacheImg.get("base_bl_0"), (GreenfootImage)Game.cacheImg.get("base_bl_1"), (GreenfootImage)Game.cacheImg.get("base_bl_2"));
  }
  
  public static final Base M(Color color)
  {
    return new Base(color, (GreenfootImage)Game.cacheImg.get("base_m_0"), (GreenfootImage)Game.cacheImg.get("base_m_1"), (GreenfootImage)Game.cacheImg.get("base_m_2"));
  }
}
