import greenfoot.GreenfootImage;
import greenfoot.GreenfootSound;

public class BulletPlayer
  extends Entity
{
  public BulletPlayer()
  {
    super(Common.WHITE);
    setImage(Sprite.paint((GreenfootImage)Game.cacheImg.get("player_bullet_idle"), this.color));
    //((GreenfootSound)Game.cacheSnd.get("player_shoot")).play();
    GreenfootSound snd = new GreenfootSound("shoot.wav");
    snd.setVolume(60);
    snd.play();
  }
  
  public void act()
  {
    if (!Game.isPause)
    {
      if (getY() <= 98)
      {
        ((Game)getWorld()).removeObject(this);
        return;
      }
      if (getOneObjectAtOffset(0, 0, Base.class) != null)
      {
        Base b = (Base)getOneObjectAtOffset(0, 0, Base.class);
        if (Utils.collision(this, b))
        {
          ((Game)getWorld()).removeObject(this);
          b.shooted();
          return;
        }
      }
      if (getOneObjectAtOffset(0, 0, Alien.class) != null)
      {
        Alien a = (Alien)getOneObjectAtOffset(0, 0, Alien.class);
        if (Utils.collision(this, a))
        {
          ((Game)getWorld()).removeObject(this);
          a.shooted();
          return;
        }
      }
      if (getOneObjectAtOffset(0, 0, Bonus.class) != null)
      {
        Bonus e = (Bonus)getOneObjectAtOffset(0, 0, Bonus.class);
        if (Utils.collision(this, e))
        {
          ((Game)getWorld()).removeObject(this);
          e.shooted();
          return;
        }
      }
      setLocation(getX(), getY() - 2);
    }
  }
}
