import java.util.Collections;
import java.util.HashMap;
import java.util.Map;

public class Cache<T>
{
  private final Map<String, T> objects;
  
  public Cache()
  {
    this.objects = Collections.synchronizedMap(new HashMap());
  }
  
  public void put(String name, T object)
  {
    this.objects.put(name, object);
  }
  
  public T get(String name)
  {
    return this.objects.get(name);
  }
}
