import greenfoot.UserInfo;
import java.util.List;

public class Highscore
{
  public static List getTop()
  {
    return UserInfo.getTop(6);
  }
  
  public static int getPlayer()
  {
    if (UserInfo.isStorageAvailable()) {
      if (UserInfo.getMyInfo() != null) {
        return UserInfo.getMyInfo().getScore();
      }
    }
    return 0;
  }
  
  public static void add(int score)
  {
    if (UserInfo.isStorageAvailable())
    {
      UserInfo myInfo = UserInfo.getMyInfo();
      if (score > myInfo.getScore())
      {
        myInfo.setScore(score);
        myInfo.store();
      }
    }
  }
}
