import greenfoot.Actor;
import java.awt.Color;

public class Text
  extends Actor
{
  private String text;
  private Color color;
  private String font;
  private float size;
  
  public Text(String text, Color color, String font, float size)
  {
    setText(text);
    setColor(color);
    setFont(font);
    setSize(size);
    update();
  }
  
  public void setText(String text)
  {
    this.text = text;
  }
  
  public void setColor(Color color)
  {
    this.color = color;
  }
  
  public void setFont(String font)
  {
    this.font = font;
  }
  
  public void setSize(float size)
  {
    this.size = size;
  }
  
  public void update()
  {
    setImage(Font.drawString(this.text, this.color, this.font, this.size));
  }
}
