import greenfoot.Actor;
import greenfoot.Greenfoot;
import greenfoot.GreenfootImage;

public class Sound
  extends Actor
{
  private GreenfootImage[] sprite = new GreenfootImage[2];
  public static boolean isOn = true;
  private boolean isClicked = false;
  
  public Sound()
  {
    this.sprite[0] = Sprite.getSprite(new GreenfootImage("Sound.png"), 0, 22, 18);
    this.sprite[1] = Sprite.getSprite(new GreenfootImage("Sound.png"), 1, 22, 18);
    setImage(this.sprite[0]);
  }
  
  public void act()
  {
    if (this.isClicked)
    {
      if (isOn) {
        setImage(this.sprite[0]);
      } else {
        setImage(this.sprite[1]);
      }
      this.isClicked = false;
    }
    if (Greenfoot.mouseClicked(this)) {
      clicked();
    }
  }
  
  public void clicked()
  {
    if (isOn) {
      isOn = false;
    } else {
      isOn = true;
    }
    this.isClicked = true;
  }
}
